SDL_GetJoystickType(3)

NAME
SDL_GetJoystickType - Get the type of an opened joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_JoystickType SDL_GetJoystickType(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick obtained from SDL_OpenJoystick().

RETURN VALUE
Returns the SDL_JoystickType of the selected joystick.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickTypeForID(3)